View Issue Details

IDProjectCategoryView StatusLast Update
0029837Open CASCADEOCCT:Visualizationpublic2019-08-11 10:50
ReporterskiAssigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version6.8.0 
Target Version7.4.0Fixed in Version7.4.0 
Summary0029837: Visualization, Graphic3d_Camera - Fit All operation works incorrectly on flat object
DescriptionFit All operation works not correct with attached shape after using of vviewparams operations.
Steps To Reproduce
pload VISUALIZATION
brestore shape.brep s
vclear
vinit View1
vtop
vdisplay s
vpoint p0 0 0 0
vfit
# OK
vremove p0
vfit
# KO nothing is displayed


pload ALL
vinit

brestore C:/shape.brep s
vdisplay s

vviewparams -up 1 0 0
vviewparams -proj 0 0 1
vfit
TagsNo tags attached.
Test case numberbugs/vis/bug29837

Attached Files

  • shape.brep (22,400 bytes)
  • flat.brep (42,886 bytes)

Relationships

related to 0025063 closedbugmaster Open CASCADE Visualization - 2D objects are not displayed at some camera positions 
has duplicate 0029985 closedbugmaster Community Visualization - Wrong result of V3d_View::FitAll() for a straight line segment 
related to 0029388 closedbugmaster Open CASCADE Visualization - Setting camera eye position to (0,0,0) kills the application 
related to 0029191 closedkgv Open CASCADE Visualization - viewer rotations are not smooth 
related to 0028033 closedbugmaster Open CASCADE Visualization - Graphic3d_Camera::ZFitAll() throws exception on camera rotation 

Activities

ski

2018-06-04 16:20

developer  

shape.brep (22,400 bytes)

aml

2019-06-21 09:24

developer   ~0085187

One more test case:

restore d:/flat.brep a
vinit
vright
vviewparams -proj 1 0 0 -up 0.0 0.99754686591938924 -0.070001787794343212
vdisplay a
vfit

aml

2019-06-21 09:25

developer  

flat.brep (42,886 bytes)

git

2019-06-25 20:03

administrator   ~0085305

Branch CR29837 has been created by tizmaylo.

SHA-1: 7c6d89d8c12c73ab4ac0c5e9655381aae0e7eb8f


Detailed log of new commits:

Author: tiv
Date: Tue Jun 25 19:46:26 2019 +0300

    0029837: Visualization, TKOpenGl - Fit All operation works not correct
    
    Minimal distance from camera eye to camera center is calculated now relatively to the distance from origin to camera center (to prevent problems with floating-point precision).

tizmaylo

2019-06-26 10:29

developer   ~0085311

Patch is ready for review: http://jenkins-test-12.nnov.opencascade.com:8080/view/CR29837-master-TIV/view/ALL/

kgv

2019-06-27 11:34

developer   ~0085318

The patch might downgrade camera manipulations with enhanced precision (when camera eye is moved to ZLayer origin) - to be checked/corrected.

git

2019-07-29 03:23

administrator   ~0085921

Branch CR29837_1 has been created by kgv.

SHA-1: 35647155f18558fb31848766cc23b6799f52185f


Detailed log of new commits:

Author: kgv
Date: Mon Jul 29 03:21:28 2019 +0300

    0029837: Visualization, Graphic3d_Camera - Fit All operation works incorrectly on flat object
    
    Graphic3d_Camera has been revised to store camera Direction from Eye explicitly
    and Distance to Center instead of auxiliary Center point.
    
    This allows setting camera Distance to 0 (for flat objects) without side effects
    like broken FitAll, wobbling on rotating.

git

2019-07-29 03:36

administrator   ~0085922

Branch CR29837_1 has been updated forcibly by kgv.

SHA-1: 86a48c9527c6a4168dbf48edae2a0a1759e7c01f

git

2019-07-29 17:16

administrator   ~0085939

Branch CR29837_1 has been updated forcibly by kgv.

SHA-1: 28d311e00cd19082fbfa633cc403234b38a8dbb8

kgv

2019-07-29 19:44

developer   ~0085942

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR29837_1-master-KGV

git

2019-07-29 20:19

administrator   ~0085943

Branch CR29837_1 has been updated forcibly by kgv.

SHA-1: 380b2e6c88b42762d97aef809c4d188e4ed76ad4

san

2019-07-30 18:38

developer   ~0085953

Branch CR29837_1 reviewed without remarks

bugmaster

2019-07-31 14:20

administrator   ~0085957

Combination -
OCCT branch : CR29837_1
master SHA - 28d311e00cd19082fbfa633cc403234b38a8dbb8
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : master SHA - 53815c0544dd1e39d32ee14979d7d88e78729edc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16231.019999999995 / 16237.229999999976 [-0.04%]
Products
Total CPU difference: 10466.89000000005 / 10493.010000000033 [-0.25%]
Windows-64-VC14:
OCCT
Total CPU difference: 17644.21875 / 17592.765625 [+0.29%]
Products
Total CPU difference: 12081.203125 / 12065.453125 [+0.13%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2019-08-11 10:50

administrator   ~0086151

Branch CR29837_1 has been deleted by inv.

SHA-1: 380b2e6c88b42762d97aef809c4d188e4ed76ad4

git

2019-08-11 10:50

administrator   ~0086154

Branch CR29837 has been deleted by inv.

SHA-1: 7c6d89d8c12c73ab4ac0c5e9655381aae0e7eb8f

Related Changesets

occt: master 607e5e62

2019-07-29 00:21:28

kgv


Committer: bugmaster Details Diff
0029837: Visualization, Graphic3d_Camera - Fit All operation works incorrectly on flat object

Graphic3d_Camera has been revised to store camera Direction from Eye explicitly
and Distance to Center instead of auxiliary Center point.

This allows setting camera Distance to 0 (for flat objects) without side effects
like broken FitAll, wobbling on rotating.
Affected Issues
0029837
mod - src/AIS/AIS_ViewController.cxx Diff File
mod - src/AIS/AIS_ViewController.hxx Diff File
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff File
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff File
mod - src/Graphic3d/Graphic3d_TransformPers.hxx Diff File
mod - src/V3d/V3d_View.cxx Diff File
mod - src/V3d/V3d_View.hxx Diff File
add - tests/bugs/vis/bug29837 Diff File

Issue History

Date Modified Username Field Change
2018-06-04 16:20 ski New Issue
2018-06-04 16:20 ski Assigned To => kgv
2018-06-04 16:20 ski File Added: shape.brep
2018-06-04 16:30 kgv Steps to Reproduce Updated
2018-06-04 16:30 kgv Steps to Reproduce Updated
2018-06-04 16:37 kgv Relationship added duplicate of 0026154
2018-06-04 16:38 kgv Steps to Reproduce Updated
2018-06-04 16:41 kgv Product Version => 6.8.0
2018-06-04 16:41 kgv Steps to Reproduce Updated
2018-06-14 17:51 kgv Relationship added related to 0029388
2018-07-25 11:47 kgv Relationship added has duplicate 0029985
2019-06-21 09:24 aml Note Added: 0085187
2019-06-21 09:25 aml File Added: flat.brep
2019-06-24 18:43 kgv Assigned To kgv => tizmaylo
2019-06-24 18:43 kgv Status new => assigned
2019-06-25 19:52 tizmaylo Relationship added related to 0025063
2019-06-25 20:03 git Note Added: 0085305
2019-06-26 10:29 tizmaylo Note Added: 0085311
2019-06-26 10:29 tizmaylo Assigned To tizmaylo => kgv
2019-06-26 10:29 tizmaylo Status assigned => resolved
2019-06-27 11:34 kgv Note Added: 0085318
2019-06-27 11:34 kgv Assigned To kgv => tizmaylo
2019-06-27 11:34 kgv Status resolved => assigned
2019-07-29 02:54 kgv Summary Visualization, TKOpenGl - Fit All operation works not correct => Visualization - Fit All operation works not correct
2019-07-29 03:04 kgv Summary Visualization - Fit All operation works not correct => Visualization - Fit All operation works incorrectly on flat object
2019-07-29 03:05 kgv Summary Visualization - Fit All operation works incorrectly on flat object => Visualization, Graphic3d_Camera - Fit All operation works incorrectly on flat object
2019-07-29 03:23 git Note Added: 0085921
2019-07-29 03:36 git Note Added: 0085922
2019-07-29 17:16 git Note Added: 0085939
2019-07-29 19:44 kgv Note Added: 0085942
2019-07-29 19:44 kgv Assigned To tizmaylo => san
2019-07-29 19:44 kgv Status assigned => resolved
2019-07-29 20:19 git Note Added: 0085943
2019-07-29 21:11 kgv Relationship added related to 0029191
2019-07-29 22:13 kgv Relationship deleted 0026154
2019-07-30 18:38 san Note Added: 0085953
2019-07-30 18:38 san Assigned To san => bugmaster
2019-07-30 18:38 san Status resolved => reviewed
2019-07-30 19:27 kgv Relationship added related to 0028033
2019-07-31 14:00 bugmaster Test case number => bugs/vis/bug29837_segment_2049
2019-07-31 14:01 bugmaster Test case number bugs/vis/bug29837_segment_2049 => bugs/vis/bug29837
2019-07-31 14:20 bugmaster Note Added: 0085957
2019-07-31 14:20 bugmaster Status reviewed => tested
2019-08-11 10:40 bugmaster Changeset attached => occt master 607e5e62
2019-08-11 10:40 bugmaster Status tested => verified
2019-08-11 10:40 bugmaster Resolution open => fixed
2019-08-11 10:50 git Note Added: 0086151
2019-08-11 10:50 git Note Added: 0086154
The file specified in $g_log_destination "/var/log/mantis/bugs/LDAP.log" is not writable.